data:extend {
    {
        order = "1",
        type = "custom-input",
        name = "interface-mod_show",
        localised_name = "Show tabs",
        key_sequence = "L",
    },
}

data:extend {
    {
        type = "sprite",
        name = "interface-mod_add-section",
        filename = "__interface-mod__/graphics/add-properties.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },

    {
        type = "sprite",
        name = "interface-mod_padlock-closed",
        filename = "__interface-mod__/graphics/padlock-open-black.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },
    {
        type = "sprite",
        name = "interface-mod_padlock-open",
        filename = "__interface-mod__/graphics/open-lock-black.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },

    {
        type = "sprite",
        name = "interface-mod_cancel",
        filename = "__interface-mod__/graphics/cancel.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },
    {
        type = "sprite",
        name = "interface-mod_confirm",
        filename = "__interface-mod__/graphics/confirm.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },

    {
        type = "sprite",
        name = "interface-mod_move-section-down",
        filename = "__interface-mod__/graphics/move-down.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },
    {
        type = "sprite",
        name = "interface-mod_move-section-up",
        filename = "__interface-mod__/graphics/move-up.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },

    {
        type = "sprite",
        name = "interface-mod_collapse",
        filename = "__interface-mod__/graphics/collapse.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },
    {
        type = "sprite",
        name = "interface-mod_expand",
        filename = "__interface-mod__/graphics/expand.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },

    {
        type = "sprite",
        name = "interface-mod_delete-row",
        filename = "__interface-mod__/graphics/delete-row.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },
    {
        type = "sprite",
        name = "interface-mod_add-row",
        filename = "__interface-mod__/graphics/add-row.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },
    {
        type = "sprite",
        name = "interface-mod_delete-column",
        filename = "__interface-mod__/graphics/delete-column.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },
    {
        type = "sprite",
        name = "interface-mod_add-column",
        filename = "__interface-mod__/graphics/add-column.png",
        priority = "extra-high-no-scale",
        size = 16,
        scale = 1,
        flags = { "gui-icon" }
    },
}

styles = data.raw["gui-style"].default

-- Transparent QuickBar
styles.quick_bar_window_frame.graphical_set = table.deepcopy(styles.frame.graphical_set)
--styles.quick_bar_window_frame.graphical_set.base.opacity = 0.6

--styles.quick_bar_page_button.default_graphical_set.base.opacity = 0.3

styles.quick_bar_inner_panel.graphical_set = table.deepcopy(styles.quick_bar_inner_panel.graphical_set)
--styles.quick_bar_inner_panel.graphical_set.base.opacity = 0.3

styles.quick_bar_slot_button.default_graphical_set = table.deepcopy(styles.slot_button.default_graphical_set)
--styles.quick_bar_slot_button.default_graphical_set.base.opacity = 0.4
--

-- Transparent Shortcut Bar
styles.shortcut_bar_window_frame.graphical_set = table.deepcopy(styles.frame.graphical_set)
--styles.shortcut_bar_window_frame.graphical_set.base.opacity = 0.6

styles.shortcut_bar_inner_panel.graphical_set = table.deepcopy(styles.quick_bar_inner_panel.graphical_set)
--styles.shortcut_bar_inner_panel.graphical_set.base.opacity = 0

styles.shortcut_bar_expand_button.default_graphical_set = table.deepcopy(styles.frame_button.default_graphical_set)
--styles.shortcut_bar_expand_button.default_graphical_set.base.opacity = 0.4
--

-- Right panel
styles.right_container_frame.graphical_set = table.deepcopy(styles.frame.graphical_set)
--styles.right_container_frame.graphical_set.base.opacity = 0.3

styles.right_side_frame.graphical_set = table.deepcopy(styles.frame.graphical_set)
--styles.right_side_frame.graphical_set.base.opacity = 0.3

--styles.side_menu_frame.graphical_set.base.opacity = 0.3

--styles.current_research_info_button.default_graphical_set.base.opacity = 0.6
--styles.current_research_info_button.default_graphical_set.shadow.opacity = 0.6
--styles.side_menu_button.default_graphical_set.opacity = 0.3

styles.toolbar = {
    type = "frame_style",
    parent = "quick_bar_window_frame",
    padding = 0
}

styles.toolbar_content = {
    type = "vertical_flow_style",
    padding = 0,
    margin = 0,
}

styles.toolbar_header = {
    type = "horizontal_flow_style",
    vertically_stretchable = "on",
    top_padding = 0,
    bottom_padding = 0,
}

styles.toolbar_header_space = {
    type = "empty_widget_style",
    horizontally_stretchable = "on",
    vertically_stretchable = "on",
    margin = 0,
    --graphical_set = { opacity = 0, size = 1 }
}

styles.toolbar_section = {
    type = "frame_style",
    parent = "quick_bar_window_frame",
    padding = 0
}

styles.toolbar_section_header = {
    type = "horizontal_flow_style",
    padding = 0,
}

styles.toolbar_section_header_name = {
    type = "textbox_style",
    parent = "textbox",
    font = "default-small-bold",
    height = 20,
    minimal_width = 10,
    maximal_width = 10000,
    horizontally_stretchable = "on",
}

styles.toolbar_section_table = {
    type = "frame_style",
    parent = "quick_bar_inner_panel"
}
styles.toolbar_section_table_header = {
    type = "horizontal_flow_style",
    padding = 1,
    horizontal_spacing = 2,
}

styles.toolbar_section_table_content = { type = "vertical_flow_style", vertical_spacing = 0, padding = 0 }
styles.toolbar_section_table_content_row = { type = "horizontal_flow_style", horizontal_spacing = 0, padding = 0 }
styles.toolbar_section_table_content_slot = { type = "button_style", parent = "quick_bar_slot_button" }

styles.toolbar_button = {
    type = "button_style",
    parent = "frame_action_button",
    size = 20,
    left_click_sound = { { filename = "__core__/sound/gui-click.ogg", volume = 1 } }
}

styles.toolbar_button_black = {
    type = "button_style",
    parent = "toolbar_button",
    default_graphical_set = table.deepcopy(styles.frame_button.default_graphical_set)
}
--styles.toolbar_button.default_graphical_set.base.opacity = 0.6

styles.toolbar_button_green = {
    type = "button_style",
    parent = "toolbar_button",
    default_graphical_set = table.deepcopy(styles.green_button.default_graphical_set),
    hovered_graphical_set = table.deepcopy(styles.green_button.hovered_graphical_set),
    clicked_graphical_set = table.deepcopy(styles.green_button.clicked_graphical_set),
    disabled_graphical_set = table.deepcopy(styles.green_button.disabled_graphical_set),
}
--styles.toolbar_command_button_green.default_graphical_set.base.opacity = 0.6

styles.toolbar_button_red = {
    type = "button_style",
    parent = "toolbar_button",
    default_graphical_set = table.deepcopy(styles.red_button.default_graphical_set),
    hovered_graphical_set = table.deepcopy(styles.red_button.hovered_graphical_set),
    clicked_graphical_set = table.deepcopy(styles.red_button.clicked_graphical_set),
    disabled_graphical_set = table.deepcopy(styles.red_button.disabled_graphical_set),

    --left_click_sound = {{ filename = "__core__/sound/gui-red-button.ogg", volume = 0.5 }}
}
--styles.toolbar_button_red.default_graphical_set.base.opacity = 0.6
