import('lang.Object')

---@class model.GuiEvent : lang.Object
---@field _eventData EventData
GuiEvent = extends(Object)

---@param eventData EventData
function GuiEvent:new(eventData)
    local this = GuiEvent:super(Object:new())
    this._eventData = Object.requireNonNil(eventData)
    return this
end

---@public
---@return boolean
function GuiEvent:isLeftClick()
    return self:isClick() and self._eventData.button ==  defines.mouse_button_type.left
end

---@public
---@return boolean
function GuiEvent:isMiddleClick()
    return self:isClick() and self._eventData.button ==  defines.mouse_button_type.middle
end

---@public
---@return boolean
function GuiEvent:isRightClick()
    return self:isClick() and self._eventData.button ==  defines.mouse_button_type.right
end

---@public
---@return boolean
function GuiEvent:isClick()
    return self._eventData.name == defines.events.on_gui_click
end

---@public
---@return boolean
function GuiEvent:isElementChange()
    return self._eventData.name == defines.events.on_gui_elem_changed
end

---@public
---@return string
function GuiEvent:modName()
    return self:element().get_mod()
end

---@return LuaGuiElement
function GuiEvent:element()
    return self._eventData.element
end
