import('model.toolbar.header.ToolbarHeaderButton')

---@class model.toolbar.header.AddSection : model.toolbar.header.ToolbarHeaderButton
AddSection = extends(ToolbarHeaderButton)
AddSection.__componentType = "model.toolbar.header.AddSection"

function AddSection:create(parent)
    local element = AddSection:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_add-section",
        style = "toolbar_button_green" })
    return AddSection:new(element)
end

function AddSection:new(element)
    return AddSection:super(ToolbarHeaderButton:new(element))
end

function AddSection:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:toolbar():addSection()
    end
end

function AddSection:lock()
    self:hide()
end

function AddSection:unlock()
    self:show()
end
