import('model.toolbar.header.ToolbarHeaderButton')

---@class model.toolbar.header.DeleteToolbar : model.toolbar.header.ToolbarHeaderButton
DeleteToolbar = extends(ToolbarHeaderButton)
DeleteToolbar.__componentType = "model.toolbar.header.DeleteToolbar"

function DeleteToolbar:create(parent)
    local element = DeleteToolbar:createRootElement(parent, {
        type = "sprite-button",
        sprite = "utility/trash",
        style = "toolbar_button_red" })
    return DeleteToolbar:new(element)
end

function DeleteToolbar:new(element)
    return DeleteToolbar:super(ToolbarHeaderButton:new(element))
end

function DeleteToolbar:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:header():askForDeletion()
    end
end

function DeleteToolbar:lock()
    self:hide()
end

function DeleteToolbar:unlock()
    self:show()
end
