import('model.toolbar.header.ToolbarHeaderButton')
import('model.toolbar.header.CollapseToolbar')

---@class model.toolbar.header.ExpandToolbar : model.toolbar.header.ToolbarHeaderButton
ExpandToolbar = extends(ToolbarHeaderButton)
ExpandToolbar.__componentType = "model.toolbar.header.ExpandToolbar"

function ExpandToolbar:create(parent)
    local root = ExpandToolbar:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_expand",
        style = "toolbar_button_black" })
    return ExpandToolbar:new(root)
end

function ExpandToolbar:new(element)
    return ExpandToolbar:super(ToolbarHeaderButton:new(element))
end

function ExpandToolbar:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:toolbar():expand()
    end
    self:replaceWith(CollapseToolbar:create(self:parent()))
end
