import('model.toolbar.header.ToolbarHeaderButton')
import('model.toolbar.header.Unlock')

---@class model.toolbar.header.Lock : model.toolbar.header.ToolbarHeaderButton
Lock = extends(ToolbarHeaderButton)
Lock.__componentType = "model.toolbar.header.Lock"

function Lock:create(parent)
    local root = Lock:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_padlock-open",
        style = "toolbar_button_red" })
    return Lock:new(root)
end

function Lock:new(element)
    return Lock:super(ToolbarHeaderButton:new(element))
end

function Lock:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:toolbar():lock()
    end
end

function Lock:lock()
    self:replaceWith(Unlock:create(self:parent()))
end
