import('model.toolbar.header.ToolbarHeaderButton')
import('model.toolbar.header.Lock')

---@class model.toolbar.header.Unlock : model.toolbar.header.ToolbarHeaderButton
Unlock = extends(ToolbarHeaderButton)
Unlock.__componentType = "model.toolbar.header.Unlock"

function Unlock:create(parent)
    local root = Unlock:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_padlock-closed",
        style = "toolbar_button_green" })
    return Unlock:new(root)
end

function Unlock:new(element)
    return Unlock:super(ToolbarHeaderButton:new(element))
end

function Unlock:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:toolbar():unlock()
    end
end

function Unlock:unlock()
    self:replaceWith(Lock:create(self:parent()))
end
