import('model.Component')
import('model.toolbar.section.header.SectionHeader')
import('model.toolbar.section.table.Table')

---@class model.toolbar.section.Section : model.Component
Section = extends(Component)
Section.__componentType = "model.toolbar.section.Section"

function Section:create(parent)
    local toolbar = Toolbar:findUp(parent):root()
    local root = Section:createRootElement(parent, {
        type = "frame",
        direction = "vertical",
        style = "toolbar_section" })
    root.drag_target = toolbar
    SectionHeader:create(root)
    Table:create(root)
    return Section:new(root)
end

function Section:new(element)
    return Section:super(Component:new(element))
end

function Section:childrenClasses()
    return { SectionHeader, Table }
end

function Section:moveDown()
    if #self:parent().children > self:index() then
        self:parent().swap_children(self:index(), self:index() + 1)
    end
end

function Section:moveUp()
    if self:index() > 1 then
        self:parent().swap_children(self:index(), self:index() - 1)
    end
end

function Section:collapse()
    self:table():root().visible = false
end

function Section:expand()
    self:table():root().visible = true
end

function Section:update()
    self:table():update()
end

function Section:table()
    return Table:findDownFirst(self:root())
end
