import('model.toolbar.section.header.SectionHeaderButton')
import('model.toolbar.section.header.ExpandSection')

---@class model.toolbar.section.header.CollapseSection : model.toolbar.section.header.SectionHeaderButton
CollapseSection = extends(SectionHeaderButton)
CollapseSection.__componentType = "model.toolbar.section.header.CollapseSection"

function CollapseSection:create(parent)
    local root = CollapseSection:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_collapse",
        style = "toolbar_button_black" })
    return CollapseSection:new(root)
end

function CollapseSection:new(element)
    return CollapseSection:super(SectionHeaderButton:new(element))
end

function CollapseSection:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:section():collapse()
    end
    self:replaceWith(ExpandSection:create(self:parent()))
end
