import('model.toolbar.section.header.SectionHeaderButton')

---@class model.toolbar.section.header.DeleteSection : model.toolbar.section.header.SectionHeaderButton
DeleteSection = extends(SectionHeaderButton)
DeleteSection.__componentType = "model.toolbar.section.header.DeleteSection"

function DeleteSection:create(parent)
    local element = DeleteSection:createRootElement(parent, {
        type = "sprite-button",
        sprite = "utility/trash",
        style = "toolbar_button_red" })
    return DeleteSection:new(element)
end

function DeleteSection:new(element)
    return DeleteSection:super(SectionHeaderButton:new(element))
end

function DeleteSection:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:header():askForDeletion()
    end
end

function DeleteSection:lock()
    self:hide()
end

function DeleteSection:unlock()
    self:show()
end
