import('lang.Object')

---@class model.toolbar.section.table.History : lang.Object
---@field private _pickedSlot model.toolbar.section.table.Slot
History = extends(Object)

---@param player_index number
function History:getInstanceFor(player_index)
    if History.__perPlayer == nil then
        History.__perPlayer = {}
    end
    if not History.__perPlayer[player_index] then
        History.__perPlayer[player_index] = History:new()
    end
    return History.__perPlayer[player_index]
end

---@private
---@return model.toolbar.section.table.History
function History:new()
    local history = History:super(Object:new())
    history._pickedSlot = nil
    return history
end

---@public
---@return boolean
function History:hasPickedSlot()
    return self._pickedSlot ~= nil and self._pickedSlot:isValid()
end

---@public
---@return model.toolbar.section.table.Slot
function History:pickedSlot()
    return self._pickedSlot
end

---@public
---@param slot model.toolbar.section.table.Slot
function History:rememberPick(slot)
    self._pickedSlot = slot
end

---@public
function History:forgetPick()
    self._pickedSlot = nil
end
