import('lang.Object')
import('model.Cursor')

---@class model.toolbar.section.table.Inventory : lang.Object
---@field private _player LuaPlayer
Inventory = extends(Object)

---@public
---@return model.toolbar.section.table.Inventory
---@param player_index number
function Inventory:new(player_index)
    local this = Inventory:super(Object:new())
    this._player = game.players[player_index]
    return this
end

---@public
---@param itemName string
---@return boolean
function Inventory:hasItem(itemName)
    return self:countOf(itemName) > 0
end

---@public
---@param itemName string
---@return number
function Inventory:countOf(itemName)
    return self:mainInventory().get_item_count(itemName)
end

---@public
---@param itemName string
function Inventory:pick(itemName)
    local stack, slotIndex = self:mainInventory().find_item_stack(itemName)
    local successful = Cursor:new(self._player.index):pickStack(stack)
    if successful then
        self._player.hand_location = { inventory = self:mainInventory().index, slot = slotIndex }
    end
end

---@private
---@return LuaInventory
function Inventory:mainInventory()
    return self._player.get_main_inventory()
end
