import('model.Component')
import('model.toolbar.section.table.Table')

---@class model.toolbar.section.table.header.AddRow : model.Component
AddRow = extends(Component)
AddRow.__componentType = "model.toolbar.section.table.header.AddRow"

function AddRow:create(parent)
    local element = AddRow:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_add-row",
        style = "toolbar_button_green" })
    return AddRow:new(element)
end

function AddRow:new(element)
    return AddRow:super(Component:new(element))
end

function AddRow:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:table():addRow()
    end
end

---@private
---@return model.toolbar.section.table.Table
function AddRow:table()
    return Table:findUp(self:root())
end
