import('lang.Object')
import('model.toolbar.section.table.Table')

---@class model.toolbar.section.table.header.DeleteColumn : model.Component
DeleteColumn = extends(Component)
DeleteColumn.__componentType = "model.toolbar.section.table.header.DeleteColumn"

function DeleteColumn:create(parent)
    local element = DeleteColumn:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_delete-column",
        style = "toolbar_button_red" })
    return DeleteColumn:new(element)
end

function DeleteColumn:new(element)
    return DeleteColumn:super(Component:new(element))
end

function DeleteColumn:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:table():removeLastColumn()
    end
end

---@private
---@return model.toolbar.section.table.Table
function DeleteColumn:table()
    return Table:findUp(self:root())
end
