import('model.Component')
import('model.toolbar.section.table.Table')

---@class model.toolbar.section.table.header.DeleteRow : model.Component
DeleteRow = extends(Component)
DeleteRow.__componentType = "model.toolbar.section.table.header.DeleteRow"

function DeleteRow:create(parent)
    local element = DeleteRow:createRootElement(parent, {
        type = "sprite-button",
        sprite = "interface-mod_delete-row",
        style = "toolbar_button_red" })
    return DeleteRow:new(element)
end

function DeleteRow:new(element)
    return DeleteRow:super(Component:new(element))
end

function DeleteRow:handle(guiEvent)
    if guiEvent:isLeftClick() then
        self:table():removeLastRow()
    end
end

---@private
---@return model.toolbar.section.table.Table
function DeleteRow:table()
    return Table:findUp(self:root())
end
