import('model.Component')
import('model.toolbar.section.table.header.DeleteRow')
import('model.toolbar.section.table.header.AddRow')
import('model.toolbar.section.table.header.DeleteColumn')
import('model.toolbar.section.table.header.AddColumn')

---@class model.toolbar.section.table.header.TableHeader : model.Component
TableHeader = extends(Component)
TableHeader.__componentType = "model.toolbar.section.table.header.TableHeader"

---@param parent LuaGuiElement
---@return model.toolbar.section.table.header.TableHeader
function TableHeader:create(parent)
    local root = TableHeader:createRootElement(parent, {
        type = "flow",
        direction = "horizontal",
        style = "toolbar_section_table_header" })
    local toolbar = Toolbar:findUp(parent):root()
    root.drag_target = toolbar
    DeleteRow:create(root)
    AddRow:create(root)
    DeleteColumn:create(root)
    AddColumn:create(root)
    root.add { type = "empty-widget", style = "toolbar_header_space" }.drag_target = toolbar

    return TableHeader:new(root)
end

---@public
---@param element LuaGuiElement
---@return model.toolbar.section.table.header.TableHeader
function TableHeader:new(element)
    return TableHeader:super(Component:new(element))
end

function TableHeader:childrenClasses()
    return { DeleteRow, AddRow, DeleteColumn, AddColumn }
end

function TableHeader:lock()
    self:hide()
end

function TableHeader:unlock()
    self:show()
end
